# Class ExtensionPointTracker

java.lang.Object
org.eclipse.equinox.http.registry.internal.ExtensionPointTracker

public class ExtensionPointTracker extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ExtensionPointTracker.Listener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ExtensionPointTracker.Listener`
`listener`

## Constructor Summary

Constructors
Constructor
Description
`ExtensionPointTracker(IExtensionRegistry registry, String extensionPointId, ExtensionPointTracker.Listener listener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`IExtension[]`
`getExtensions()`
`void`
`open()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### listener

protected final ExtensionPointTracker.Listener listener

## Constructor Details

### ExtensionPointTracker

public ExtensionPointTracker(IExtensionRegistry registry, String extensionPointId, ExtensionPointTracker.Listener listener)

## Method Details

### open

public void open()

### close

public void close()

### getExtensions

public IExtension[] getExtensions()